<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:20 BST 2009 -->
<TITLE>
AbstractCellView (JGraph v5.12.4.2 API Specification)
</TITLE>

<META NAME="keywords" CONTENT="org.jgraph.graph.AbstractCellView class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractCellView (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractCellView.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractCellView.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.jgraph.graph</FONT>
<BR>
Class AbstractCellView</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><B>org.jgraph.graph.AbstractCellView</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A></DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../org/jgraph/graph/EdgeView.html" title="class in org.jgraph.graph">EdgeView</A>, <A HREF="../../../org/jgraph/graph/PortView.html" title="class in org.jgraph.graph">PortView</A>, <A HREF="../../../org/jgraph/graph/VertexView.html" title="class in org.jgraph.graph">VertexView</A></DD>
</DL>
<HR>
<DL>
<DT>public abstract class <B>AbstractCellView</B><DT>extends <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A></DL>

<P>
The abstract base class for all cell views.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../serialized-form.html#org.jgraph.graph.AbstractCellView">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#allAttributes">allAttributes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Contains the complete set of attributes, including the cell's attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#attributes">attributes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hashtable for attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#cell">cell</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reference to the cell for this view</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#cellEditor">cellEditor</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Editor for the cell.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/List.html" title="class or interface in java.util">List</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#childViews">childViews</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cached child views.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#groupBounds">groupBounds</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cached bounds of all children if vertex is a group</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#parent">parent</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cached parent view</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#AbstractCellView()">AbstractCellView</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an empty abstract cell view.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#AbstractCellView(java.lang.Object)">AbstractCellView</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a view for the specified model object, and invokes update on
 the new instance.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#changeAttributes(org.jgraph.graph.GraphLayoutCache, java.util.Map)">changeAttributes</A></B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache,
                 <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;change)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies <code>change</code> to the attributes of the view and calls
 update.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#childUpdated()">childUpdated</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Indicates to parent, if any, that this child has been updated.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#createAttributeMap()">createAttributeMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hook for subclassers to avoid creating an empty AttributeMap during
 construction of the instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getAllAttributes()">getAllAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the attributes of the view combined with the attributes of the
 corresponding cell.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getAttributes()">getAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the attributes of the view.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getBounds()">getBounds</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the cached bounds for the group if isleaf is false</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getBounds(org.jgraph.graph.CellView[])">getBounds</A></B>(<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]&nbsp;views)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the bounding box for the specified views.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getCell()">getCell</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the model object that this view represents.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getCellAttributes(org.jgraph.graph.GraphModel)">getCellAttributes</A></B>(<A HREF="../../../org/jgraph/graph/GraphModel.html" title="interface in org.jgraph.graph">GraphModel</A>&nbsp;model)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hook for subclassers to avoid cloning the cell's attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getCenterPoint(org.jgraph.graph.CellView)">getCenterPoint</A></B>(<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>&nbsp;vertex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getChildViews()">getChildViews</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the child views of this view.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getDescendantViews(org.jgraph.graph.CellView[])">getDescendantViews</A></B>(<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]&nbsp;views)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns all views, including descendants that have a parent in
 <code>views</code> without the PortViews.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getEditor()">getEditor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a cell editor for the view.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../org/jgraph/graph/CellHandle.html" title="interface in org.jgraph.graph">CellHandle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getHandle(org.jgraph.graph.GraphContext)">getHandle</A></B>(<A HREF="../../../org/jgraph/graph/GraphContext.html" title="class in org.jgraph.graph">GraphContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a cell handle for the view.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getParentView()">getParentView</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the parent view for this view.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getPerimeterPoint(org.jgraph.graph.EdgeView, java.awt.geom.Point2D, java.awt.geom.Point2D)">getPerimeterPoint</A></B>(<A HREF="../../../org/jgraph/graph/EdgeView.html" title="class in org.jgraph.graph">EdgeView</A>&nbsp;edge,
                  <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;source,
                  <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the intersection of the bounding rectangle and the straight line
 between the source and the specified point p.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../org/jgraph/graph/CellViewRenderer.html" title="interface in org.jgraph.graph">CellViewRenderer</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getRenderer()">getRenderer</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the renderer instance for this view</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#getRendererComponent(org.jgraph.JGraph, boolean, boolean, boolean)">getRendererComponent</A></B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                     boolean&nbsp;selected,
                     boolean&nbsp;focus,
                     boolean&nbsp;preview)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a renderer component, configured for the view.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#includeInGroupBounds(org.jgraph.graph.CellView)">includeInGroupBounds</A></B>(<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>&nbsp;view)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This is used to exclude certain cell views from the group bounds
 computation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#intersects(org.jgraph.JGraph, java.awt.geom.Rectangle2D)">intersects</A></B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
           <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;rect)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the view intersects the given rectangle.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#isLeaf()">isLeaf</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the view is a leaf.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#mergeAttributes()">mergeAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Implements the merging of the cell's attributes, initially stored in
 allAttributes, and the location attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#refresh(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.CellMapper, boolean)">refresh</A></B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache,
        <A HREF="../../../org/jgraph/graph/CellMapper.html" title="interface in org.jgraph.graph">CellMapper</A>&nbsp;mapper,
        boolean&nbsp;createDependentViews)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create child views and reload properties for this view.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#removeFromParent()">removeFromParent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes this view from the list of children of the parent.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#scale(double, double, java.awt.geom.Point2D)">scale</A></B>(double&nbsp;sx,
      double&nbsp;sy,
      <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Scale <code>view</code> (group) by <code>sx, sy</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#setAttributes(org.jgraph.graph.AttributeMap)">setAttributes</A></B>(<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;attributes)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the attributes of this view to the specified value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#setBounds(java.awt.geom.Rectangle2D)">setBounds</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;bounds)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the bounds of this <code>view</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#setCell(java.lang.Object)">setCell</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the model object that this view represents to the specified cell</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#translate(double, double)">translate</A></B>(double&nbsp;dx,
          double&nbsp;dy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Translates <code>view</code> (group) by <code>dx, dy</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#update(org.jgraph.graph.GraphLayoutCache)">update</A></B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Update attributes for this view and indicate to the parent this child has
 been updated</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/AbstractCellView.html#updateGroupBounds()">updateGroupBounds</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Updates the bounds of this view and its children</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="cellEditor"><!-- --></A><H3>
cellEditor</H3>
<PRE>
public static transient <A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A> <B>cellEditor</B></PRE>
<DL>
<DD>Editor for the cell.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="cell"><!-- --></A><H3>
cell</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>cell</B></PRE>
<DL>
<DD>Reference to the cell for this view
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="parent"><!-- --></A><H3>
parent</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A> <B>parent</B></PRE>
<DL>
<DD>Cached parent view
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="childViews"><!-- --></A><H3>
childViews</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/List.html" title="class or interface in java.util">List</A> <B>childViews</B></PRE>
<DL>
<DD>Cached child views. Default is a ArrayList with allocation size 0.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="allAttributes"><!-- --></A><H3>
allAttributes</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A> <B>allAttributes</B></PRE>
<DL>
<DD>Contains the complete set of attributes, including the cell's attributes.
 The values in this map are overriden by the corresponding values in
 <code>attributes</code>.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="attributes"><!-- --></A><H3>
attributes</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A> <B>attributes</B></PRE>
<DL>
<DD>Hashtable for attributes. Value in this map override the values in
 <code>allAttributes</code>.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="groupBounds"><!-- --></A><H3>
groupBounds</H3>
<PRE>
protected transient <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A> <B>groupBounds</B></PRE>
<DL>
<DD>Cached bounds of all children if vertex is a group
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="AbstractCellView()"><!-- --></A><H3>
AbstractCellView</H3>
<PRE>
public <B>AbstractCellView</B>()</PRE>
<DL>
<DD>Constructs an empty abstract cell view. You should set a cell on this
 view using setCell before doing anything. Optionally you can also set a
 different attribute map using setAttributeMap. Note: To change the
 attribute map you should now use the changeAttributes method.
<P>
</DL>
<HR>

<A NAME="AbstractCellView(java.lang.Object)"><!-- --></A><H3>
AbstractCellView</H3>
<PRE>
public <B>AbstractCellView</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</PRE>
<DL>
<DD>Constructs a view for the specified model object, and invokes update on
 the new instance.
<P>
<DT><B>Parameters:</B><DD><CODE>cell</CODE> - reference to the model object</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="createAttributeMap()"><!-- --></A><H3>
createAttributeMap</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A> <B>createAttributeMap</B>()</PRE>
<DL>
<DD>Hook for subclassers to avoid creating an empty AttributeMap during
 construction of the instance. Override this and return null if you want
 to avoid creation of an attribute map at construction time.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getCell()"><!-- --></A><H3>
getCell</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>getCell</B>()</PRE>
<DL>
<DD>Returns the model object that this view represents.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getCell()">getCell</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the model object that this view represents</DL>
</DD>
</DL>
<HR>

<A NAME="setCell(java.lang.Object)"><!-- --></A><H3>
setCell</H3>
<PRE>
public void <B>setCell</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</PRE>
<DL>
<DD>Sets the model object that this view represents to the specified cell
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cell</CODE> - the model object this view will represent</DL>
</DD>
</DL>
<HR>

<A NAME="refresh(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.CellMapper, boolean)"><!-- --></A><H3>
refresh</H3>
<PRE>
public void <B>refresh</B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache,
                    <A HREF="../../../org/jgraph/graph/CellMapper.html" title="interface in org.jgraph.graph">CellMapper</A>&nbsp;mapper,
                    boolean&nbsp;createDependentViews)</PRE>
<DL>
<DD>Create child views and reload properties for this view. Invokes update
 first.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#refresh(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.CellMapper, boolean)">refresh</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cache</CODE> - the graph model to be used<DD><CODE>mapper</CODE> - the cell mapper to be used<DD><CODE>createDependentViews</CODE> - whether or not to create a view if one does not already exist</DL>
</DD>
</DL>
<HR>

<A NAME="getCellAttributes(org.jgraph.graph.GraphModel)"><!-- --></A><H3>
getCellAttributes</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A> <B>getCellAttributes</B>(<A HREF="../../../org/jgraph/graph/GraphModel.html" title="interface in org.jgraph.graph">GraphModel</A>&nbsp;model)</PRE>
<DL>
<DD>Hook for subclassers to avoid cloning the cell's attributes. Return
 model.getAttributes(cell) to avoid cloning.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="update(org.jgraph.graph.GraphLayoutCache)"><!-- --></A><H3>
update</H3>
<PRE>
public void <B>update</B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache)</PRE>
<DL>
<DD>Update attributes for this view and indicate to the parent this child has
 been updated
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#update(org.jgraph.graph.GraphLayoutCache)">update</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cache</CODE> - TODO</DL>
</DD>
</DL>
<HR>

<A NAME="mergeAttributes()"><!-- --></A><H3>
mergeAttributes</H3>
<PRE>
protected void <B>mergeAttributes</B>()</PRE>
<DL>
<DD>Implements the merging of the cell's attributes, initially stored in
 allAttributes, and the location attributes. The result should be stored
 in allAttributes. This hook is for subclassers to change the merging
 strategy.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="childUpdated()"><!-- --></A><H3>
childUpdated</H3>
<PRE>
public void <B>childUpdated</B>()</PRE>
<DL>
<DD>Indicates to parent, if any, that this child has been updated.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#childUpdated()">childUpdated</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getParentView()"><!-- --></A><H3>
getParentView</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A> <B>getParentView</B>()</PRE>
<DL>
<DD>Returns the parent view for this view.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getParentView()">getParentView</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the parent view for this view</DL>
</DD>
</DL>
<HR>

<A NAME="getChildViews()"><!-- --></A><H3>
getChildViews</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[] <B>getChildViews</B>()</PRE>
<DL>
<DD>Returns the child views of this view.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getChildViews()">getChildViews</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the child views of this view</DL>
</DD>
</DL>
<HR>

<A NAME="getDescendantViews(org.jgraph.graph.CellView[])"><!-- --></A><H3>
getDescendantViews</H3>
<PRE>
public static <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[] <B>getDescendantViews</B>(<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]&nbsp;views)</PRE>
<DL>
<DD>Returns all views, including descendants that have a parent in
 <code>views</code> without the PortViews. Note: Iterative
 Implementation using view.getChildViews. This returns the array in
 inverse order, ie with the top most cell view at index 0.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>views</CODE> - the cell views whose descendants are to be returned
<DT><B>Returns:</B><DD>the specified views and all their descendant views</DL>
</DD>
</DL>
<HR>

<A NAME="removeFromParent()"><!-- --></A><H3>
removeFromParent</H3>
<PRE>
public void <B>removeFromParent</B>()</PRE>
<DL>
<DD>Removes this view from the list of children of the parent.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#removeFromParent()">removeFromParent</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isLeaf()"><!-- --></A><H3>
isLeaf</H3>
<PRE>
public boolean <B>isLeaf</B>()</PRE>
<DL>
<DD>Returns <code>true</code> if the view is a leaf.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#isLeaf()">isLeaf</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>true</code> if the view is a leaf</DL>
</DD>
</DL>
<HR>

<A NAME="getAttributes()"><!-- --></A><H3>
getAttributes</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A> <B>getAttributes</B>()</PRE>
<DL>
<DD>Return the attributes of the view.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getAttributes()">getAttributes</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the <code>attributes</code> of this view</DL>
</DD>
</DL>
<HR>

<A NAME="setAttributes(org.jgraph.graph.AttributeMap)"><!-- --></A><H3>
setAttributes</H3>
<PRE>
public void <B>setAttributes</B>(<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;attributes)</PRE>
<DL>
<DD>Sets the attributes of this view to the specified value
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>attributes</CODE> - the new attributes to set</DL>
</DD>
</DL>
<HR>

<A NAME="getAllAttributes()"><!-- --></A><H3>
getAllAttributes</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A> <B>getAllAttributes</B>()</PRE>
<DL>
<DD>Returns the attributes of the view combined with the attributes of the
 corresponding cell. The view's attributes override the cell's attributes
 with the same key.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getAllAttributes()">getAllAttributes</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="changeAttributes(org.jgraph.graph.GraphLayoutCache, java.util.Map)"><!-- --></A><H3>
changeAttributes</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A> <B>changeAttributes</B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache,
                            <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;change)</PRE>
<DL>
<DD>Applies <code>change</code> to the attributes of the view and calls
 update.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#changeAttributes(org.jgraph.graph.GraphLayoutCache, java.util.Map)">changeAttributes</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>change</CODE> - a map of attribute changes to apply
<DT><B>Returns:</B><DD>the undo map that reverses this change</DL>
</DD>
</DL>
<HR>

<A NAME="getBounds()"><!-- --></A><H3>
getBounds</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A> <B>getBounds</B>()</PRE>
<DL>
<DD>Returns the cached bounds for the group if isleaf is false
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getBounds()">getBounds</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getBounds(org.jgraph.graph.CellView[])"><!-- --></A><H3>
getBounds</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A> <B>getBounds</B>(<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]&nbsp;views)</PRE>
<DL>
<DD>Returns the bounding box for the specified views.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>views</CODE> - the views for whom the bounding box is to be determined
<DT><B>Returns:</B><DD>the bounding box of the specified views</DL>
</DD>
</DL>
<HR>

<A NAME="setBounds(java.awt.geom.Rectangle2D)"><!-- --></A><H3>
setBounds</H3>
<PRE>
public void <B>setBounds</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;bounds)</PRE>
<DL>
<DD>Sets the bounds of this <code>view</code>. Calls translateView and
 scaleView.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bounds</CODE> - the new bounds for this cell view</DL>
</DD>
</DL>
<HR>

<A NAME="updateGroupBounds()"><!-- --></A><H3>
updateGroupBounds</H3>
<PRE>
protected void <B>updateGroupBounds</B>()</PRE>
<DL>
<DD>Updates the bounds of this view and its children
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="includeInGroupBounds(org.jgraph.graph.CellView)"><!-- --></A><H3>
includeInGroupBounds</H3>
<PRE>
protected boolean <B>includeInGroupBounds</B>(<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>&nbsp;view)</PRE>
<DL>
<DD>This is used to exclude certain cell views from the group bounds
 computation. This implementation returns false for edges that connect to
 one of their ancestor groups (eg. parent).
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>view</CODE> - the cell view to be included in the group bounds or not
<DT><B>Returns:</B><DD>whether or not to include the specified cell in the group bounds</DL>
</DD>
</DL>
<HR>

<A NAME="translate(double, double)"><!-- --></A><H3>
translate</H3>
<PRE>
public void <B>translate</B>(double&nbsp;dx,
                      double&nbsp;dy)</PRE>
<DL>
<DD>Translates <code>view</code> (group) by <code>dx, dy</code>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>dx</CODE> - the x-coordinate amount to translate by<DD><CODE>dy</CODE> - the y-coordinate amount to translate by</DL>
</DD>
</DL>
<HR>

<A NAME="scale(double, double, java.awt.geom.Point2D)"><!-- --></A><H3>
scale</H3>
<PRE>
public void <B>scale</B>(double&nbsp;sx,
                  double&nbsp;sy,
                  <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;origin)</PRE>
<DL>
<DD>Scale <code>view</code> (group) by <code>sx, sy</code>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>sx</CODE> - the multiple by which the x coordinate position of the cell
            view is to be scaled<DD><CODE>sy</CODE> - the multiple by which the y coordinate position of the cell
            view is to be scaled<DD><CODE>origin</CODE> - the origin point from which the scaling will calculate</DL>
</DD>
</DL>
<HR>

<A NAME="intersects(org.jgraph.JGraph, java.awt.geom.Rectangle2D)"><!-- --></A><H3>
intersects</H3>
<PRE>
public boolean <B>intersects</B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                          <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;rect)</PRE>
<DL>
<DD>Returns true if the view intersects the given rectangle.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#intersects(org.jgraph.JGraph, java.awt.geom.Rectangle2D)">intersects</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>graph</CODE> - the <code>JGraph</code> instance of the view<DD><CODE>rect</CODE> - the rectangle within which intersection is being checked for
<DT><B>Returns:</B><DD>whether or not the rectangle specified intersects the view</DL>
</DD>
</DL>
<HR>

<A NAME="getRendererComponent(org.jgraph.JGraph, boolean, boolean, boolean)"><!-- --></A><H3>
getRendererComponent</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A> <B>getRendererComponent</B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                                      boolean&nbsp;selected,
                                      boolean&nbsp;focus,
                                      boolean&nbsp;preview)</PRE>
<DL>
<DD>Returns a renderer component, configured for the view. The method used to
 obtain the renderer instance must install the necessary attributes from
 this view
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getRendererComponent(org.jgraph.JGraph, boolean, boolean, boolean)">getRendererComponent</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>graph</CODE> - the <code>JGraph</code> instance of the view<DD><CODE>selected</CODE> - whether or not this view is selected<DD><CODE>focus</CODE> - whether or not this view is the focus<DD><CODE>preview</CODE> - whether or not it is a preview of the view
<DT><B>Returns:</B><DD>the renderer component for this view with this views attributes
         installed</DL>
</DD>
</DL>
<HR>

<A NAME="getRenderer()"><!-- --></A><H3>
getRenderer</H3>
<PRE>
public abstract <A HREF="../../../org/jgraph/graph/CellViewRenderer.html" title="interface in org.jgraph.graph">CellViewRenderer</A> <B>getRenderer</B>()</PRE>
<DL>
<DD>Obtains the renderer instance for this view
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the renderer instance for this view</DL>
</DD>
</DL>
<HR>

<A NAME="getHandle(org.jgraph.graph.GraphContext)"><!-- --></A><H3>
getHandle</H3>
<PRE>
public abstract <A HREF="../../../org/jgraph/graph/CellHandle.html" title="interface in org.jgraph.graph">CellHandle</A> <B>getHandle</B>(<A HREF="../../../org/jgraph/graph/GraphContext.html" title="class in org.jgraph.graph">GraphContext</A>&nbsp;context)</PRE>
<DL>
<DD>Returns a cell handle for the view.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getHandle(org.jgraph.graph.GraphContext)">getHandle</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>context</CODE> - the context of this cell view (cells indirectly affected by
            it)
<DT><B>Returns:</B><DD>the cell handle for this view</DL>
</DD>
</DL>
<HR>

<A NAME="getEditor()"><!-- --></A><H3>
getEditor</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A> <B>getEditor</B>()</PRE>
<DL>
<DD>Returns a cell editor for the view.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getEditor()">getEditor</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the cell editor for this view</DL>
</DD>
</DL>
<HR>

<A NAME="getCenterPoint(org.jgraph.graph.CellView)"><!-- --></A><H3>
getCenterPoint</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A> <B>getCenterPoint</B>(<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>&nbsp;vertex)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getPerimeterPoint(org.jgraph.graph.EdgeView, java.awt.geom.Point2D, java.awt.geom.Point2D)"><!-- --></A><H3>
getPerimeterPoint</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A> <B>getPerimeterPoint</B>(<A HREF="../../../org/jgraph/graph/EdgeView.html" title="class in org.jgraph.graph">EdgeView</A>&nbsp;edge,
                                 <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;source,
                                 <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;p)</PRE>
<DL>
<DD>Returns the intersection of the bounding rectangle and the straight line
 between the source and the specified point p. The specified point is
 expected not to intersect the bounds. Note: You must override this method
 if you use a different renderer. This is because this method relies on
 the VertexRenderer interface, which can not be safely assumed for
 subclassers.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/CellView.html#getPerimeterPoint(org.jgraph.graph.EdgeView, java.awt.geom.Point2D, java.awt.geom.Point2D)">getPerimeterPoint</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractCellView.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractCellView.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
